Name:           prelude-correlator
Version:        3.1.0
Release:        %mkrel 1
Summary:        Real time correlator of events received by Prelude Manager
License:        GPLv2+
Group:          Networking/Other
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/attachments/download/723/%{name}-%{version}.tar.gz
Source1:        %{name}.service
Source2:        %{name}-tmpfiles.conf
BuildArch:      noarch
BuildRequires:  pkgconfig(libprelude) >= %{version}
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       prelude-manager
Requires:       pythonegg(2)(netaddr)
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
Prelude-Correlator allows conducting multi-stream correlations
thanks to a powerful programming language for writing correlation
rules. With any type of alert able to be correlated, event
analysis becomes simpler, quicker and more incisive. This
correlation alert then appears within the Prewikka interface
and indicates the potential target information via the set of
correlation rules.

%prep
%setup -q

%build
%py2_build

%install
%py2_install

%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mv} %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}

# install init script
%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

# tmpfiles
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# fix a README.urpmi
%{__cat} > README.urpmi << EOF
In order to start the prelude-correlator service you must configure it first.
This is not done automatically. To make a basic configuration,
please run:

%{_bindir}/prelude-adduser register "prelude-correlator" "idmef:rw" localhost --uid 0 --gid 0


Original log from systemctl:

Profile 'prelude-correlator' does not exist. In order to create it, please run:

%{_bindir}/prelude-admin register "prelude-correlator" "idmef:rw" <manager address> --uid 0 --gid 0
EOF

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%pre
%_pre_useradd prelude-correlator %{_localstatedir}/lib/%{name} /bin/false

%postun
%_postun_userdel prelude-correlator

%files
%doc AUTHORS COPYING NEWS HACKING.README README.urpmi
%{_sbindir}/%{name}
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_sysconfdir}/%{name}/rules
%dir %{_sysconfdir}/%{name}/rules/python
%config(noreplace) %{_sysconfdir}/%{name}/rules/python/*.py*
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/README
%{_localstatedir}/lib/%{name}/
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{python2_sitelib}/preludecorrelator/
%{python2_sitelib}/prelude_correlator-%{version}-py%{python2_version}.egg-info


%changelog
* Sun Oct 16 2016 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 1061063
- imported package prelude-correlator

